| ghc-6.12.3: The GHC API | Contents | Index

ForeignCall

Documentation
newtype ForeignCall

Constructors

CCall CCallSpec |

Instances

Eq ForeignCall
Outputable ForeignCall
Binary ForeignCall

data Safety

Constructors

PlaySafe Bool |
PlayRisky |

Instances

Eq Safety
Show Safety
Outputable Safety
Binary Safety

playSafe :: Safety -> Bool
data CExportSpec

Constructors

CExportStatic CLabelString CCallConv |

Instances

Outputable CExportSpec
Binary CExportSpec

type CLabelString = FastString
isCLabelString :: CLabelString -> Bool
pprCLabelString :: CLabelString -> SDoc
data CCallSpec

Constructors

CCallSpec CCallTarget CCallConv Safety |

Instances

Eq CCallSpec
Outputable CCallSpec
Binary CCallSpec

data CCallTarget

Constructors

StaticTarget CLabelString |
DynamicTarget |

Instances

Eq CCallTarget
Binary CCallTarget

isDynamicTarget :: CCallTarget -> Bool
data CCallConv

Constructors

CCallConv |
StdCallConv |
CmmCallConv |
PrimCallConv |

Instances

Eq CCallConv
Outputable CCallConv
Binary CCallConv

defaultCCallConv :: CCallConv
ccallConvToInt :: CCallConv -> Int
ccallConvAttribute :: CCallConv -> String
Produced by Haddock version 2.6.1